summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGokturk Yuksek <gokturk@binghamton.edu>2015-11-05 03:47:00 -0500
committerGokturk Yuksek <gokturk@binghamton.edu>2015-11-05 04:01:10 -0500
commit3ce0a7945d87b9ec48134a2402fcb61fff9d8f7d (patch)
tree98fd2818c8231bb49b7b86b782100843fa3334bd /app-admin/lastpass-cli
parentdev-ml/menhir: Bump to 20151103. (diff)
downloadgentoo-3ce0a7945d87b9ec48134a2402fcb61fff9d8f7d.tar.gz
gentoo-3ce0a7945d87b9ec48134a2402fcb61fff9d8f7d.tar.bz2
gentoo-3ce0a7945d87b9ec48134a2402fcb61fff9d8f7d.zip
app-admin/lastpass-cli: bump to 0.6.0 #548088
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=548088 Package-Manager: portage-2.2.20.1
Diffstat (limited to 'app-admin/lastpass-cli')
-rw-r--r--app-admin/lastpass-cli/Manifest1
-rw-r--r--app-admin/lastpass-cli/lastpass-cli-0.6.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/app-admin/lastpass-cli/Manifest b/app-admin/lastpass-cli/Manifest
index 4498b45e497..2a7eb27ad91 100644
--- a/app-admin/lastpass-cli/Manifest
+++ b/app-admin/lastpass-cli/Manifest
@@ -1,2 +1,3 @@
DIST lastpass-cli-0.3.0.tar.gz 48596 SHA256 7956fe945aae64bd57350c3ed89773dd1449b99e8e0369eefcea14382e4aea08 SHA512 9993de2a8d8d66440d318985d1f15ed44033beb9932193f3ef90c5fdc2b598d9b9099d8a0bf871877dbf08014f028fad5305d33cc30bc9b1a7367a582e17002b WHIRLPOOL e7337847500c3a251ed81151517c4f3d8e4a8bd7089195f22748a117aad9c12f36c22471ea84a81ca7e2c4838063dbd852b34a86cf9701749d75278bec7c40ef
DIST lastpass-cli-0.5.0.tar.gz 59237 SHA256 09e7b1e5c1520db2a34a49e7ae07e5b3a7555a4ed2490ed7b56f047065bca812 SHA512 7c34ba4cbf43b299656881766e40302edce1db27fb5eb20bed82fbd141354c7682f49d7dd114af0b1eae512e21f7b334b5bd9b820bac53aa52ad7400a579d925 WHIRLPOOL 443898d70290658900140f4262218b1923eed09a67a0aca18fb1c530a12b466b8362a1f190aaa73586e5ddfb4e843fbce9262e26d4ce2d66e38eed6e59b5820c
+DIST lastpass-cli-0.6.0.tar.gz 65047 SHA256 e48f210b34a030e8b8cef3e1d05957aabe757ea4cd31bf03c46b70ddc830733c SHA512 ceaa660e6a7d3b27b09ce6d1d522af216e2c8357859d87034f7f887b53631bf5214b02400f8cb91d0c0020fcfb7889dd0fd8731b1af76a63f94666de2ac4dcd4 WHIRLPOOL 4554d8576e71a0b4c7d69556614a33f3e34d85aec4dd6aa50973ba8eb212864fc45bf3a7cb4e2847cb60a00546e46652cf5baf7f34872ada23431e78078cc6ed
diff --git a/app-admin/lastpass-cli/lastpass-cli-0.6.0.ebuild b/app-admin/lastpass-cli/lastpass-cli-0.6.0.ebuild
new file mode 100644
index 00000000000..e1129508d83
--- /dev/null
+++ b/app-admin/lastpass-cli/lastpass-cli-0.6.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Interfaces with LastPass.com from the command line."
+SRC_URI="https://github.com/lastpass/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://github.com/lastpass/lastpass-cli"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="X +pinentry"
+
+RDEPEND="
+ X? ( || ( x11-misc/xclip x11-misc/xsel ) )
+ dev-libs/openssl:0
+ net-misc/curl
+ dev-libs/libxml2
+ pinentry? ( app-crypt/pinentry )
+"
+DEPEND="${RDEPEND} app-text/asciidoc"
+
+src_prepare() {
+ sed -i 's/install -s/install/' Makefile || die "Could not remove stripping"
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}/usr"
+ emake PREFIX="${EPREFIX}/usr" doc-man
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install-doc
+}